Skip to main content
GET
/
strategies
/
{id}
/
status
Get pending strategy status
curl --request GET \
  --url https://api.pods.finance/strategies/{id}/status \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.pods.finance/strategies/{id}/status"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.pods.finance/strategies/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "strategyId": "Aave-USDC-polygon",
  "wallet": "0xb794F5eA0ba39494cE839613fffBA74279579268",
  "hasPending": false,
  "message": "No pending actions for this strategy. You are all caught up.",
  "actions": [
    {
      "id": "65f1a2b3c4d5e6f789012345",
      "type": "CROSSCHAIN_INVESTMENT_DEPOSIT",
      "status": "PENDING",
      "currentStep": {
        "stepIndex": 0,
        "status": "PENDING",
        "legs": [
          {
            "kind": "bridge",
            "status": "PENDING",
            "operator": "<string>"
          }
        ]
      },
      "steps": [
        {
          "stepIndex": 0,
          "status": "PENDING",
          "legs": [
            {
              "kind": "bridge",
              "status": "PENDING",
              "operator": "<string>"
            }
          ]
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "suw": "<unknown>"
    }
  ],
  "orderBook": "<unknown>"
}
{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Pods dashboard.

Path Parameters

id
string
required

Strategy ID or slug

Query Parameters

wallet
string
required

Wallet address to check pending actions for

Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

Response

Pending status retrieved

Pending strategy investment status for a wallet

strategyId
string
required
Example:

"Aave-USDC-polygon"

wallet
string
required
Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

hasPending
boolean
required
Example:

false

message
string
required
Example:

"No pending actions for this strategy. You are all caught up."

actions
object[]
required
orderBook
any | null

CoW order-book availability, only for Ondo stock strategies